include ../../molecules/site-nav/site-nav
include ../../molecules/site-search/site-search
include ../../molecules/notification/notification
include ../../molecules/sticky-share/sticky-share

mixin site-header(spec)
	- spec = spec || {}
	- spec.__class = spec.__class || ''

	header.site-header(class= home)
		+notification()
		.container-md
			.site-header__main
					.site-logo
						a(href="/", title="EXPO2020 Dubai UAE | Singapore Nature Nurture Future")
							img(src="/assets/images/logo.png", alt="EXPO2020 Dubai UAE | Singapore Nature Nurture Future")

			button.btn-toggle-menu(type="button")
				span.menu-text Menu
				.menu-icon
					span.vh Toggle mobile menu
					span.line
					span.line
					span.line
					span.line
		.site-header__inner
			+site-nav({
				"items": spec.primaryNav
			})

			//- +site-search()
		.site-nav-overlay
	+sticky-share()